Skip to content

GET /api/log/info/

Get an event-log summary.

Auth: Bearer.


{
"capacity": 4096,
"total": 250,
"pending": 3,
"oldestSequence": 0,
"lastSequence": 250,
"totalBySeverity": {
"debug": 12,
"info": 180,
"warning": 40,
"error": 15,
"fault": 3
},
"pendingBySeverity": {
"debug": 0,
"info": 1,
"warning": 1,
"error": 1,
"fault": 0
}
}
FieldTypeRequiredDescription
capacitynumberyesMaximum ring-buffer capacity
totalnumberyesNumber of available events
pendingnumberyesNumber of unacknowledged events in the current power session
oldestSequencenumberyesSequence number of the oldest available event in the ring buffer. For UI pages showing the oldest events, this is the primary indication that the old edge of the window has actually moved because events were evicted.
lastSequencenumberyesSequence number of the newest event. The UI uses this field to detect new events: if the value has increased relative to the previously stored value, N = lastSequence_new - lastSequence_old new events have been added to the log. Fetching these N events is appropriate only if the current UI page contains the previously stored lastSequence (that is, the user is on the latest page where new entries appear); no updates are needed on other pages.
totalBySeverityobjectyesBreakdown of total by severity
pendingBySeverityobjectyesBreakdown of pending by severity
FieldTypeDescription
debugnumberNumber of available DEBUG events
infonumberNumber of available INFO events
warningnumberNumber of available WARNING events
errornumberNumber of available ERROR events
faultnumberNumber of available FAULT events
FieldTypeDescription
debugnumberNumber of pending DEBUG events
infonumberNumber of pending INFO events
warningnumberNumber of pending WARNING events
errornumberNumber of pending ERROR events
faultnumberNumber of pending FAULT events